Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.cookie
Class BasicMaxAgeHandler

    java.lang.Object
      org.apache.http.impl.cookie.AbstractCookieAttributeHandler
          org.apache.http.impl.cookie.BasicMaxAgeHandler

All Implemented Interfaces:
  CookieAttributeHandler

    @Immutable
    public class BasicMaxAgeHandler

extends AbstractCookieAttributeHandler

Since:
  4.0

Constructor Summary
`BasicMaxAgeHandler()`

Method Summary
`void` | `parse(SetCookie cookie, String value)` Parse the given cookie attribute value and update the corresponding `Cookie` property.

Methods inherited from class org.apache.http.impl.cookie.AbstractCookieAttributeHandler
`match, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicMaxAgeHandler

    public BasicMaxAgeHandler()

Method Detail

### parse

    public void parse(SetCookie cookie,
                      String value)
               throws MalformedCookieException

  Description copied from interface: `CookieAttributeHandler`
  Parse the given cookie attribute value and update the corresponding `Cookie` property.

  Parameters:
    `cookie` - `Cookie` to be updated
    `value` - cookie attribute value from the cookie response header
  Throws:
    `MalformedCookieException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.